Subject: Re: [PATCH] powerpc: add `cur_cpu_spec` symbol to vmcoreinfo

From: Michael Ellerman <[email-masked]>
Date: Tue, 19 Sep 2023 20:07:15 +1000

Aditya Gupta <[email-masked]> writes:
> On Thu, Sep 14, 2023 at 11:22:01PM +1000, Michael Ellerman wrote:
>> Aditya Gupta <[email-masked]> writes:
>> > Presently, while reading a vmcore, makedumpfile uses
>> > `cur_cpu_spec.mmu_features` to decide whether the crashed system had
>> > RADIX MMU or not.
>> >
>> > Currently, makedumpfile fails to get the `cur_cpu_spec` symbol (unless
>> > a vmlinux is passed with the `-x` flag to makedumpfile), and hence
>> > assigns offsets and shifts (such as pgd_offset_l4) incorrecly considering
>> > MMU to be hash MMU.
>> >
>> > Add `cur_cpu_spec` symbol and offset of `mmu_features` in the
>> > `cpu_spec` struct, to VMCOREINFO, so that the symbol address and offset
>> > is accessible to makedumpfile, without needing the vmlinux file
>> 
>> This looks fine.
>> 
>> Seems like cpu_features would be needed or at least pretty useful too?
>> 
>> cheers
>
> Sure, that can be added too, to the vmcoreinfo. Not sure if it's used now, but
> sure it can help to identify features in makedumpfile.
>
> Will add it, in next version.

Please do it in a separate commit to the mmu_features :)

cheers